Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx
Class RepaintManagerX

    java.lang.Object
      javax.swing.RepaintManager
          org.jdesktop.swingx.ForwardingRepaintManager
              org.jdesktop.swingx.RepaintManagerX

    public class RepaintManagerX

extends ForwardingRepaintManager

An implementation of `RepaintManager` which adds support for transparency in `JXPanel`s. `JXPanel` (which supports translucency) will replace the current RepaintManager with an instance of RepaintManagerX unless the current RepaintManager is tagged by the `TranslucentRepaintManager` annotation.

Author:
  zixle, rbair

Constructor Summary
`RepaintManagerX(javax.swing.RepaintManager delegate)`

Method Summary
`void` | `addDirtyRegion(javax.swing.JComponent c, int x, int y, int w, int h)` Add a component in the list of components that should be refreshed.

Methods inherited from class org.jdesktop.swingx.ForwardingRepaintManager
`addDirtyRegion, addDirtyRegion, addInvalidComponent, getDelegateManager, getDirtyRegion, getDoubleBufferMaximumSize, getOffscreenBuffer, getVolatileOffscreenBuffer, isCompletelyDirty, isDoubleBufferingEnabled, markCompletelyClean, markCompletelyDirty, paintDirtyRegions, removeInvalidComponent, setDoubleBufferingEnabled, setDoubleBufferMaximumSize, toString, validateInvalidComponents`

Methods inherited from class javax.swing.RepaintManager
`currentManager, currentManager, setCurrentManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RepaintManagerX

    public RepaintManagerX(javax.swing.RepaintManager delegate)

Parameters:
  `delegate` -

Method Detail

### addDirtyRegion

    public void addDirtyRegion(javax.swing.JComponent c,
                               int x,
                               int y,
                               int w,
                               int h)

  Add a component in the list of components that should be refreshed. If c already has a dirty region, the rectangle (x,y,w,h) will be unioned with the region that should be redrawn.

  Overrides:
    `addDirtyRegion` in class `ForwardingRepaintManager`
  Parameters:
    `c` - Component to repaint, null results in nothing happening.
    `x` - X coordinate of the region to repaint
    `y` - Y coordinate of the region to repaint
    `w` - Width of the region to repaint
    `h` - Height of the region to repaint
  See Also:
    `JComponent.repaint(long, int, int, int, int)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.